#include "guess.h"
int find_number(int MAX) {
    int L = 0, R = MAX;
    while (R - L > 1) {
        int mid = (L + R) / 2;
        if (smaller(mid)) {
            R = mid;
        } else {
            L = mid;//l is >=, r is >
        }
    }
    return L;
}
